/* Make changes to MaxAttribute/MaxAttributeCfg before adding/updating column definitions */
update maxattribute set length=30 where objectname='MAXATTRIBUTE' and attributename='COLUMNNAME'
;
update maxattributecfg set length=30 where objectname='MAXATTRIBUTE' and attributename='COLUMNNAME'
;
alter table maxattribute alter columnname set data type varchar(30)
;
alter table maxattributecfg alter columnname set data type varchar(30)
;
update maxattribute set length=30 where objectname='MAXTABLE' and attributename='UNIQUECOLUMNNAME'
;
update maxattributecfg set length=30 where objectname='MAXTABLECFG' and attributename='UNIQUECOLUMNNAME'
;
update maxattributecfg set length=30 where objectname='MAXTABLE' and attributename='UNIQUECOLUMNNAME'
;
update maxattribute set length=30 where objectname='MAXTABLECFG' and attributename='UNIQUECOLUMNNAME'
;
update maxattribute set length=30 where objectname='MAXVIEWCOLUMN' and attributename in ('VIEWCOLUMNNAME','TABLECOLUMNNAME')
;
update maxattributecfg set length=30 where objectname='MAXVIEWCOLUMN' and attributename in ('VIEWCOLUMNNAME','TABLECOLUMNNAME')
;
update maxattribute set length=30 where objectname='MAXVIEWCOLUMNCFG' and attributename in ('VIEWCOLUMNNAME','TABLECOLUMNNAME')
;
update maxattributecfg set length=30 where objectname='MAXVIEWCOLUMNCFG' and attributename in ('VIEWCOLUMNNAME','TABLECOLUMNNAME')
;

/* Add new 7.x MaxAttribute columns smallint and restricted */
alter table maxattribute add localizable bigint default 0 not null
;
alter table maxattributecfg add localizable bigint default 0 not null
;
alter table maxattribute add restricted bigint default 0 not null
;
alter table maxattributecfg add restricted bigint default 0 not null
;

/************** Add Columns to MAXTABLE/MAXTABLECFG Tables **************/

insert into maxattribute
( objectname, attributename, alias, autokeyname, attributeno, 
canautonum, classname, columnname, defaultvalue, domainid, 
eauditenabled, entityname, esigenabled, isldowner, ispositive, 
length, maxtype, mustbe, required, persistent, 
primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, 
handlecolumnname, maxattributeid)
values
('MAXTABLE', 'TRIGROOT', 'TRIGROOT', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLE'),
0, null, 'TRIGROOT', null, null, 
0, 'MAXTABLE', 0, 0, 0, 
30, 'UPPER', 1, 0, 1, 
null, 'Trigger name root.  The actual trigger name will be composed of this root plus a suffix.', null, null, 0, 
'Trigger Root', 0, 'WILDCARD', 0, 0, 
null, nextval for maxattributeseq)
;


insert into maxattribute
( objectname, attributename, alias, autokeyname, attributeno,
canautonum, classname, columnname, defaultvalue, domainid,
eauditenabled, entityname, esigenabled, isldowner, ispositive,
length, maxtype, mustbe, required, persistent,
primarykeycolseq, remarks, sameasattribute, sameasobject, scale,
title, userdefined, searchtype, mlsupported, mlinuse,
handlecolumnname, maxattributeid)
values
('MAXTABLECFG', 'TRIGROOT', 'TRIGROOT', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLECFG'),
0, null, 'TRIGROOT', null, null,
0, 'MAXTABLECFG', 0, 0, 0,
30, 'UPPER', 0, 0, 1,
null, 'Trigger name root.  The actual trigger name will be composed of this root plus a suffix.', 'TRIGROOT', 'MAXTABLE', 0,
'Trigger Root', 0, 'WILDCARD', 0, 0,
null, nextval for maxattributeseq)
;


insert into maxattributecfg
( objectname, attributename, alias, autokeyname, attributeno,
canautonum, classname, columnname, defaultvalue, domainid,
eauditenabled, entityname, esigenabled, isldowner, ispositive,
length, maxtype, mustbe, required, persistent,
primarykeycolseq, remarks, sameasattribute, sameasobject, scale,
title, userdefined, changed, searchtype, mlsupported,
mlinuse, handlecolumnname, maxattributeid)
values
('MAXTABLE', 'TRIGROOT', 'TRIGROOT', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLE'),
0, null, 'TRIGROOT', null, null,
0, 'MAXTABLE', 0, 0, 0,
30, 'UPPER', 1, 0, 1,
null, 'Trigger name root.  The actual trigger name will be composed of this root plus a suffix.', null, null, 0,
'Trigger Root', 0, 'N', 'WILDCARD', 0,
0, null, nextval for maxattributecfgseq)
;

insert into maxattributecfg
( objectname, attributename, alias, autokeyname, attributeno,
canautonum, classname, columnname, defaultvalue, domainid,
eauditenabled, entityname, esigenabled, isldowner, ispositive,
length, maxtype, mustbe, required, persistent,
primarykeycolseq, remarks, sameasattribute, sameasobject, scale,
title, userdefined, changed, searchtype, mlsupported,
mlinuse, handlecolumnname, maxattributeid)
values
('MAXTABLECFG', 'TRIGROOT', 'TRIGROOT', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLECFG'),
0, null, 'TRIGROOT', null, null,
0, 'MAXTABLECFG', 0, 0, 0,
30, 'UPPER', 0, 0, 1,
null, 'Trigger name root.  The actual trigger name will be composed of this root plus a suffix.', 'TRIGROOT', 'MAXTABLE', 0,
'Trigger Root', 0, 'N', 'WILDCARD', 0,
0, null, nextval for maxattributecfgseq)
;

alter table maxtable add altixname varchar(30)
;
alter table maxtablecfg add altixname varchar(30)
;
alter table maxtable add trigroot varchar(30)
;
alter table maxtablecfg add trigroot varchar(30)
;
alter table maxtable add contentattribute varchar(30)
;
alter table maxtablecfg add contentattribute varchar(30)
;
alter table maxtable alter uniquecolumnname set data type varchar(30)
;
alter table maxtablecfg alter uniquecolumnname set data type varchar(30)
;

/** Length of columns need to be altered prior to them getting changed in 1st pass of configure **/
alter table maxviewcolumn alter viewcolumnname set data type varchar(30)
; 
alter table maxviewcolumn alter tablecolumnname set data type varchar(30)
;
alter table maxviewcolumncfg alter viewcolumnname set data type varchar(30)
; 
alter table maxviewcolumncfg alter tablecolumnname set data type varchar(30)
;
update maxtable set trigroot=tablename
;
update maxtablecfg set trigroot=tablename
;


insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid) 
values ('ALNDOMAIN', 'VALUEID', 'VALUEID', null, (select max(attributeno)+1 from maxattribute where objectname='ALNDOMAIN'), 0, null, 'VALUEID', null, 
null, 0, 'ALNDOMAIN', 0, 0, 0, 25, 'UPPER', 1, 0, 1, null, 'System generated unique identifier of the value in a domain, 
internal and cannot be modified.', 'VALUEID', 'SYNONYMDOMAIN', 0, 'Value ID', 0, 'EXACT', 0, 0, null, 
nextval for maxattributeseq)
;

insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid) 
values ('SYNONYMDOMAIN', 'VALUEID', 'VALUEID', null, (select max(attributeno)+1 from maxattribute where objectname='SYNONYMDOMAIN'), 0, null, 'VALUEID', null, null, 
0, 'SYNONYMDOMAIN', 0, 0, 0, 25, 'UPPER', 1, 0, 1, null, 
'System generated unique identifier of the value in a domain, internal and cannot be modified.', null, 
null, 0, 'Value ID', 0, 'EXACT', 0, 0, null, nextval for maxattributeseq)
;

insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, changed, maxattributeid) 
values ('ALNDOMAIN', 'VALUEID', 'VALUEID', null, (select max(attributeno)+1 from maxattributecfg where objectname='ALNDOMAIN'), 0, null, 'VALUEID', null, 
null, 0, 'ALNDOMAIN', 0, 0, 0, 25, 'UPPER', 1, 0, 1, null, 'System generated unique identifier of the value in a domain, 
internal and cannot be modified.', 'VALUEID', 'SYNONYMDOMAIN', 0, 'Value ID', 0, 'EXACT', 0, 0, null, 'N', nextval for maxattributecfgseq)
;

insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid) 
values ('SYNONYMDOMAIN', 'VALUEID', 'VALUEID', null, (select max(attributeno)+1 from maxattributecfg where objectname='SYNONYMDOMAIN'), 0, null, 'VALUEID', null, null, 
0, 'SYNONYMDOMAIN', 0, 0, 0, 25, 'UPPER', 1, 0, 1, null,
'System generated unique identifier of the value in a domain, internal and cannot be modified.', null, 
null, 0, 'Value ID', 0, 'N', 'EXACT', 0, 0, null, nextval for maxattributecfgseq)
;

alter table alndomain add valueid varchar(25)
;
alter table synonymdomain add valueid varchar(25)
;

insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTE', 'LOCALIZABLE', 'LOCALIZABLE', null, (select max(attributeno)+1 from maxattribute where objectname='MAXATTRIBUTE'), 0, null, 
'LOCALIZABLE', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 'Identifies whether the value of this attribute can be localized.', 
null, null, 0, 'Localizable', 0, 'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0)
;
insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTE', 'LOCALIZABLE', 'LOCALIZABLE', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXATTRIBUTE'), 0, null, 
'LOCALIZABLE', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 'Identifies whether the value of this attribute can be localized.', 
null, null, 0, 'Localizable', 0, 'N','EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0)
;
insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTECFG', 'LOCALIZABLE', 'LOCALIZABLE', null, (select max(attributeno)+1 from maxattribute where objectname='MAXATTRIBUTECFG'), 0, null, 
'LOCALIZABLE', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 'Identifies whether the value of this attribute can be localized.', 
null, null, 0, 'Localizable', 0, 'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0)
;
insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTECFG', 'LOCALIZABLE', 'LOCALIZABLE', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXATTRIBUTECFG'), 0, null, 
'LOCALIZABLE', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 'Identifies whether the value of this attribute can be localized.', 
null, null, 0, 'Localizable', 0, 'N','EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0)
;
insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTE', 'RESTRICTED', 'RESTRICTED', null, (select max(attributeno)+1 from maxattribute where objectname='MAXATTRIBUTE'), 0, null, 
'RESTRICTED', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 
'Identifies whether the value of this attribute can be set only by methods local to the business object; for example, calculation of the value involves a method call on the Mbo.  When an attribute is restricted, external processes should not attempt to set a value directly.', null, null, 0, 
'Restricted', 0,'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0)
;
insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, changed,searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTE', 'RESTRICTED', 'RESTRICTED', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXATTRIBUTE'), 0, null, 
'RESTRICTED', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 
'Identifies whether the value of this attribute can be set only by methods local to the business object; for example, calculation of the value involves a method call on the Mbo.  When an attribute is restricted, external processes should not attempt to set a value directly.', null, null, 0, 
'Restricted', 0,'N','EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0)
;
insert into maxattribute ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTECFG', 'RESTRICTED', 'RESTRICTED', null, (select max(attributeno)+1 from maxattribute where objectname='MAXATTRIBUTECFG'), 0, null, 
'RESTRICTED', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 
'Identifies whether the value of this attribute can be set only by methods local to the business object; for example, calculation of the value involves a method call on the Mbo.  When an attribute is restricted, external processes should not attempt to set a value directly.', null, null, 0, 
'Restricted', 0,'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0)
;
insert into maxattributecfg ( objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, 
columnname, defaultvalue, domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, 
maxtype, mustbe, required, persistent, primarykeycolseq, remarks, sameasattribute, sameasobject, scale, 
title, userdefined, changed,searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid, 
restricted, localizable) values ('MAXATTRIBUTECFG', 'RESTRICTED', 'RESTRICTED', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXATTRIBUTECFG'), 0, null, 
'RESTRICTED', '0', null, 0, 'MAXATTRIBUTE', 0, 0, 0, 1, 'YORN', 1, 1, 1, null, 
'Identifies whether the value of this attribute can be set only by methods local to the business object; for example, calculation of the value involves a method call on the Mbo.  When an attribute is restricted, external processes should not attempt to set a value directly.', null, null, 0, 
'Restricted', 0,'N','EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0)
;

Insert Into maxattribute (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid,
restricted, localizable) Values (
'MAXTABLE', 'ALTIXNAME', 'ALTIXNAME', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLE'), 
0, null, 'ALTIXNAME', null, null, 0, 'MAXTABLE', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Alternate index name for record identification by external systems, when primarykeycolseq or unique key are not appropriate.  This index may or may not be unique and it used only to support external data retrieval.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Alternate Index', 0, 'WILDCARD', 0, 0, null, nextval for maxattributeseq, 0, 0
)
;
Insert Into maxattribute (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid,
restricted, localizable) Values (
'MAXTABLE', 'CONTENTATTRIBUTE', 'CONTENTATTRIBUTE', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLE'), 
0, null, 'CONTENTATTRIBUTE', null, null, 0, 'MAXTABLE', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Name of the attribute used as a unique identifier for content delivery.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Content Attribute', 0, 'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0
)
;
Insert Into maxattribute (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid,
restricted, localizable) Values (
'MAXTABLECFG', 'ALTIXNAME', 'ALTIXNAME', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLECFG'), 
0, null, 'ALTIXNAME', null, null, 0, 'MAXTABLECFG', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Alternate index name for record identification by external systems, when primarykeycolseq or unique key are not appropriate.  This index may or may not be unique and it used only to support external data retrieval.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Alternate Index', 0, 'WILDCARD', 0, 0, null, nextval for maxattributeseq, 0, 0
)
;
Insert Into maxattribute (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, searchtype, mlsupported, mlinuse, handlecolumnname, maxattributeid,
restricted, localizable) Values (
'MAXTABLECFG', 'CONTENTATTRIBUTE', 'CONTENTATTRIBUTE', null, (select max(attributeno)+1 from maxattribute where objectname='MAXTABLECFG'), 
0, null, 'CONTENTATTRIBUTE', null, null, 0, 'MAXTABLECFG', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Name of the attribute used as a unique identifier for content delivery.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Content Attribute', 0, 'EXACT', 0, 0, null, nextval for maxattributeseq, 0, 0
)
;
Insert Into maxattributecfg (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname,
maxattributeid, restricted, localizable) Values (
'MAXTABLE', 'ALTIXNAME', 'ALTIXNAME', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLE'), 
0, null, 'ALTIXNAME', null, null, 0, 'MAXTABLE', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Alternate index name for record identification by external systems, when primarykeycolseq or unique key are not appropriate.  This index may or may not be unique and it used only to support external data retrieval.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Alternate Index', 0, 'N', 'WILDCARD', 0, 0, null, nextval for maxattributecfgseq, 0, 0
)
;
Insert Into maxattributecfg (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname,
maxattributeid, restricted, localizable) Values (
'MAXTABLE', 'CONTENTATTRIBUTE', 'CONTENTATTRIBUTE', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLE'), 
0, null, 'CONTENTATTRIBUTE', null, null, 0, 'MAXTABLE', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Name of the attribute used as a unique identifier for content delivery.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Content Attribute', 0, 'N', 'EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0
)
;
Insert Into maxattributecfg (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname,
maxattributeid, restricted, localizable) Values (
'MAXTABLECFG', 'ALTIXNAME', 'ALTIXNAME', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLECFG'), 
0, null, 'ALTIXNAME', null, null, 0, 'MAXTABLECFG', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Alternate index name for record identification by external systems, when primarykeycolseq or unique key are not appropriate.  This index may or may not be unique and it used only to support external data retrieval.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Alternate Index', 0, 'N', 'WILDCARD', 0, 0, null, nextval for maxattributecfgseq, 0, 0
)
;
Insert Into maxattributecfg (objectname, attributename, alias, autokeyname, attributeno, canautonum, classname, columnname, defaultvalue,
domainid, eauditenabled, entityname, esigenabled, isldowner, ispositive, length, maxtype, mustbe, required, persistent, primarykeycolseq,
remarks, sameasattribute, sameasobject, scale, title, userdefined, changed, searchtype, mlsupported, mlinuse, handlecolumnname,
maxattributeid, restricted, localizable) Values (
'MAXTABLECFG', 'CONTENTATTRIBUTE', 'CONTENTATTRIBUTE', null, (select max(attributeno)+1 from maxattributecfg where objectname='MAXTABLECFG'), 
0, null, 'CONTENTATTRIBUTE', null, null, 0, 'MAXTABLECFG', 0, 0, 0, 30, 'UPPER', 1, 0, 1, null, 
'Name of the attribute used as a unique identifier for content delivery.', 
'OBJECTNAME', 'MAXOBJECT', 0, 'Content Attribute', 0, 'N', 'EXACT', 0, 0, null, nextval for maxattributecfgseq, 0, 0
)
;